<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.product.auth.mapper.UserRoleMapper">



    <select id="getRoleListByUserId" resultType="Role">
        select b.* from sys_user_role a
        inner join sys_role b on a.role_id = b.id
        where a.user_id = #{userId}
        and b.state = 1
    </select>



</mapper>
